#!/bin/sh
#PBS -N OF_aal
#PBS -M gzt200361@163.com
#PBS -l walltime=1000:00:00
#PBS -l nodes=2:ppn=12
#PBS -q high
#PBS -j oe

cd $PBS_O_WORKDIR

nodes=2
cores=12
solver=pisoFoam

refineMeshByCellSetLocal()
{
   for i in `seq 1 $1`;
   do
      cp system/topoSetDict.local.$i system/topoSetDict
      topoSet > log.topoSet.local.$i 2>&1

      refineMesh -overwrite > log.refineMesh.local.$i 2>&1
  done
}

rm -rf constant/polyMesh/*
rm -rf 0
cp -rf 0.les 0

cp system/blockMeshDict constant/polyMesh/
blockMesh > log.blockMesh 2>&1

#refineMeshByCellSetLocal 3

checkMesh > log.checkMesh 2>&1

decomposePar > log.decomposePar 2>&1

mpirun -np $(($nodes*$cores)) $solver -parallel > log.$solver.1 2>&1

reconstructPar > log.reconstructPar 2>&1


#pisoFoamTurbine.ALMAdvanced > log.pisoFoamTurbine.ALMAdvanced.1 2>&1
